Package com.ocient.jdbc.proto

# Class PlanProtocol

java.lang.Object
com.ocient.jdbc.proto.PlanProtocol

    public final class PlanProtocol
    extends Object

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.AggregationOperator` | Protobuf type `xg.db.sqlPlans.AggregationOperator`
`static interface` | `PlanProtocol.AggregationOperatorOrBuilder` |
`static class` | `PlanProtocol.AvgColSizeVirtualOperator` | Protobuf type `xg.db.sqlPlans.AvgColSizeVirtualOperator`
`static interface` | `PlanProtocol.AvgColSizeVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.BroadcastOperator` | Protobuf type `xg.db.sqlPlans.BroadcastOperator`
`static interface` | `PlanProtocol.BroadcastOperatorOrBuilder` |
`static class` | `PlanProtocol.CheckedExceptionCols` | Protobuf type `xg.db.sqlPlans.CheckedExceptionCols`
`static interface` | `PlanProtocol.CheckedExceptionColsOrBuilder` |
`static class` | `PlanProtocol.CNF` | a CNF, if true if every disjunction is true
`static interface` | `PlanProtocol.CNFOrBuilder` |
`static class` | `PlanProtocol.ColCardVirtualOperator` | Protobuf type `xg.db.sqlPlans.ColCardVirtualOperator`
`static interface` | `PlanProtocol.ColCardVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.ColDistVirtualOperator` | Protobuf type `xg.db.sqlPlans.ColDistVirtualOperator`
`static interface` | `PlanProtocol.ColDistVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.ColumnEmitterOperator` | Protobuf type `xg.db.sqlPlans.ColumnEmitterOperator`
`static interface` | `PlanProtocol.ColumnEmitterOperatorOrBuilder` |
`static class` | `PlanProtocol.ColumnInfo` | Information about a column
`static interface` | `PlanProtocol.ColumnInfoOrBuilder` |
`static class` | `PlanProtocol.ComputeConfiguration` | a (potentially partial) compute configuration, when it is being returned during a query probe operation.
`static interface` | `PlanProtocol.ComputeConfigurationOrBuilder` |
`static class` | `PlanProtocol.Disjunction` | A disjunction is a list of filter clauses It is true if at least one of the filter clauses is true
`static interface` | `PlanProtocol.DisjunctionOrBuilder` |
`static class` | `PlanProtocol.EosOperator` | Protobuf type `xg.db.sqlPlans.EosOperator`
`static interface` | `PlanProtocol.EosOperatorOrBuilder` |
`static class` | `PlanProtocol.EquivalentPartitioning` | Represents equivalent partitioning, meaning we are partitioned on at least one of these columns and they are identical
`static interface` | `PlanProtocol.EquivalentPartitioningOrBuilder` |
`static class` | `PlanProtocol.ErrorOperator` | Protobuf type `xg.db.sqlPlans.ErrorOperator`
`static interface` | `PlanProtocol.ErrorOperatorOrBuilder` |
`static class` | `PlanProtocol.ExceptOperator` | Protobuf type `xg.db.sqlPlans.ExceptOperator`
`static interface` | `PlanProtocol.ExceptOperatorOrBuilder` |
`static class` | `PlanProtocol.ExecutionCluster` | a single vm execution cluster
`static interface` | `PlanProtocol.ExecutionClusterOrBuilder` |
`static class` | `PlanProtocol.ExecutionClusters` | a set of vm execution clusters
`static interface` | `PlanProtocol.ExecutionClustersOrBuilder` |
`static class` | `PlanProtocol.ExtendOperator` | Creates a new column by doing a calculation involving existing columns
`static interface` | `PlanProtocol.ExtendOperatorOrBuilder` |
`static class` | `PlanProtocol.FilterClause` | Represents a single "col/val op col/val" boolean statement Will never be "val op val"
`static interface` | `PlanProtocol.FilterClauseOrBuilder` |
`static class` | `PlanProtocol.FrameSpec` | Protobuf type `xg.db.sqlPlans.FrameSpec`
`static interface` | `PlanProtocol.FrameSpecOrBuilder` |
`static class` | `PlanProtocol.GatherLevel` | TODO(N_LEVELS): This will need to be changed, probabaly from an enum to an int when we generify the concept of levels
`static class` | `PlanProtocol.GatherOperator` | Represents a coordinator (or super coord) receiving data from multiple nodes Technically it just does a non-distinct union
`static interface` | `PlanProtocol.GatherOperatorOrBuilder` |
`static class` | `PlanProtocol.GdcLookupOperator` | Protobuf type `xg.db.sqlPlans.GdcLookupOperator`
`static interface` | `PlanProtocol.GdcLookupOperatorOrBuilder` |
`static class` | `PlanProtocol.GenerateOperator` | Protobuf type `xg.db.sqlPlans.GenerateOperator`
`static interface` | `PlanProtocol.GenerateOperatorOrBuilder` |
`static class` | `PlanProtocol.HashJoinOperator` | Protobuf type `xg.db.sqlPlans.HashJoinOperator`
`static interface` | `PlanProtocol.HashJoinOperatorOrBuilder` |
`static class` | `PlanProtocol.IncrementingBigIntOperator` | Protobuf type `xg.db.sqlPlans.IncrementingBigIntOperator`
`static interface` | `PlanProtocol.IncrementingBigIntOperatorOrBuilder` |
`static class` | `PlanProtocol.IncrementingIntOperator` | Protobuf type `xg.db.sqlPlans.IncrementingIntOperator`
`static interface` | `PlanProtocol.IncrementingIntOperatorOrBuilder` |
`static class` | `PlanProtocol.IndexAggOperator` | Hybrid operator that combines index and aggregation
`static interface` | `PlanProtocol.IndexAggOperatorOrBuilder` |
`static class` | `PlanProtocol.IndexCountStarOperator` | Specialized index operator for count(*)
`static interface` | `PlanProtocol.IndexCountStarOperatorOrBuilder` |
`static class` | `PlanProtocol.IndexDistinctOperator` | Hybrid operator that combines index and removal of duplicates, and outputs distinct values in sorted order
`static interface` | `PlanProtocol.IndexDistinctOperatorOrBuilder` |
`static class` | `PlanProtocol.IndexOperator` | Represents the reading of table data via some index
`static interface` | `PlanProtocol.IndexOperatorOrBuilder` |
`static class` | `PlanProtocol.IntersectOperator` | Protobuf type `xg.db.sqlPlans.IntersectOperator`
`static interface` | `PlanProtocol.IntersectOperatorOrBuilder` |
`static class` | `PlanProtocol.JoinCols` | Protobuf type `xg.db.sqlPlans.JoinCols`
`static interface` | `PlanProtocol.JoinColsOrBuilder` |
`static class` | `PlanProtocol.JoinType` | Protobuf enum `xg.db.sqlPlans.JoinType`
`static class` | `PlanProtocol.LimitOperator` | Keep only the first n rows
`static interface` | `PlanProtocol.LimitOperatorOrBuilder` |
`static class` | `PlanProtocol.MakeVectorOperator` | Protobuf type `xg.db.sqlPlans.MakeVectorOperator`
`static interface` | `PlanProtocol.MakeVectorOperatorOrBuilder` |
`static class` | `PlanProtocol.MatrixExtendOperator` | Protobuf type `xg.db.sqlPlans.MatrixExtendOperator`
`static interface` | `PlanProtocol.MatrixExtendOperatorOrBuilder` |
`static class` | `PlanProtocol.ModifySchemaOperator` | Protobuf type `xg.db.sqlPlans.ModifySchemaOperator`
`static interface` | `PlanProtocol.ModifySchemaOperatorOrBuilder` |
`static class` | `PlanProtocol.OffsetOperator` | Skip the first n rows
`static interface` | `PlanProtocol.OffsetOperatorOrBuilder` |
`static class` | `PlanProtocol.Operator` | Represents an operator node in the plan
`static interface` | `PlanProtocol.OperatorOrBuilder` |
`static class` | `PlanProtocol.OrderedAggOperator` | Protobuf type `xg.db.sqlPlans.OrderedAggOperator`
`static interface` | `PlanProtocol.OrderedAggOperatorOrBuilder` |
`static class` | `PlanProtocol.OrderedDistinctOperator` | Protobuf type `xg.db.sqlPlans.OrderedDistinctOperator`
`static interface` | `PlanProtocol.OrderedDistinctOperatorOrBuilder` |
`static class` | `PlanProtocol.OrderedGatherOperator` | Same as gather operator except that the streams received from each node are already sorted and we need to merge the sorted streams
`static interface` | `PlanProtocol.OrderedGatherOperatorOrBuilder` |
`static class` | `PlanProtocol.PlanHeader` | Header that starts of the plan message
`static interface` | `PlanProtocol.PlanHeaderOrBuilder` |
`static class` | `PlanProtocol.PlanMessage` | The actual plan sent by the command compiler
`static interface` | `PlanProtocol.PlanMessageOrBuilder` |
`static class` | `PlanProtocol.PostfixExpression` | Protobuf type `xg.db.sqlPlans.PostfixExpression`
`static interface` | `PlanProtocol.PostfixExpressionOrBuilder` |
`static class` | `PlanProtocol.ProductOperator` | Protobuf type `xg.db.sqlPlans.ProductOperator`
`static interface` | `PlanProtocol.ProductOperatorOrBuilder` |
`static class` | `PlanProtocol.ProjectOutOperator` | Discard some columns
`static interface` | `PlanProtocol.ProjectOutOperatorOrBuilder` |
`static class` | `PlanProtocol.QueriesVirtualOperator` | Protobuf type `xg.db.sqlPlans.QueriesVirtualOperator`
`static interface` | `PlanProtocol.QueriesVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.RandomIntOperator` | Protobuf type `xg.db.sqlPlans.RandomIntOperator`
`static interface` | `PlanProtocol.RandomIntOperatorOrBuilder` |
`static class` | `PlanProtocol.ReferenceOperator` | Protobuf type `xg.db.sqlPlans.ReferenceOperator`
`static interface` | `PlanProtocol.ReferenceOperatorOrBuilder` |
`static class` | `PlanProtocol.RenameOperator` | Rename some columns
`static interface` | `PlanProtocol.RenameOperatorOrBuilder` |
`static class` | `PlanProtocol.ReorderOperator` | Enforces a specific ordering on the columns
`static interface` | `PlanProtocol.ReorderOperatorOrBuilder` |
`static class` | `PlanProtocol.RootOperator` | nothing here
`static interface` | `PlanProtocol.RootOperatorOrBuilder` |
`static class` | `PlanProtocol.securityToken` | The opaque set of bytes that represent a logged in user.
`static interface` | `PlanProtocol.securityTokenOrBuilder` |
`static class` | `PlanProtocol.SelectOperator` | Filter out some data
`static interface` | `PlanProtocol.SelectOperatorOrBuilder` |
`static class` | `PlanProtocol.ShuffleOperator` | Protobuf type `xg.db.sqlPlans.ShuffleOperator`
`static interface` | `PlanProtocol.ShuffleOperatorOrBuilder` |
`static class` | `PlanProtocol.SortOperator` | Protobuf type `xg.db.sqlPlans.SortOperator`
`static interface` | `PlanProtocol.SortOperatorOrBuilder` |
`static class` | `PlanProtocol.SortPartition` | Protobuf type `xg.db.sqlPlans.SortPartition`
`static interface` | `PlanProtocol.SortPartitionOrBuilder` |
`static class` | `PlanProtocol.SqlColType` | Protobuf enum `xg.db.sqlPlans.SqlColType`
`static class` | `PlanProtocol.StatsColumnInfo` | Column info used for stats requests
`static interface` | `PlanProtocol.StatsColumnInfoOrBuilder` |
`static class` | `PlanProtocol.StatsRequestInfo` | Info used for stats requests
`static interface` | `PlanProtocol.StatsRequestInfoOrBuilder` |
`static class` | `PlanProtocol.StatsTableInfo` | Table info used for stats requests
`static interface` | `PlanProtocol.StatsTableInfoOrBuilder` |
`static class` | `PlanProtocol.SuperSelectOperator` | CNF version of SelectOperator
`static interface` | `PlanProtocol.SuperSelectOperatorOrBuilder` |
`static class` | `PlanProtocol.SwitchOperator` | Protobuf type `xg.db.sqlPlans.SwitchOperator`
`static interface` | `PlanProtocol.SwitchOperatorOrBuilder` |
`static class` | `PlanProtocol.SystemConfigurationVirtualOperator` | Protobuf type `xg.db.sqlPlans.SystemConfigurationVirtualOperator`
`static interface` | `PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.TableCardVirtualOperator` | Protobuf type `xg.db.sqlPlans.TableCardVirtualOperator`
`static interface` | `PlanProtocol.TableCardVirtualOperatorOrBuilder` |
`static class` | `PlanProtocol.TableScanOperator` | Represents the reading of table data via a scan
`static interface` | `PlanProtocol.TableScanOperatorOrBuilder` |
`static class` | `PlanProtocol.TeeOperator` | Protobuf type `xg.db.sqlPlans.TeeOperator`
`static interface` | `PlanProtocol.TeeOperatorOrBuilder` |
`static class` | `PlanProtocol.TestColumn` | Protobuf type `xg.db.sqlPlans.TestColumn`
`static interface` | `PlanProtocol.TestColumnOrBuilder` |
`static class` | `PlanProtocol.UnionOperator` | Protobuf type `xg.db.sqlPlans.UnionOperator`
`static interface` | `PlanProtocol.UnionOperatorOrBuilder` |
`static class` | `PlanProtocol.UnmakeVectorOperator` | Protobuf type `xg.db.sqlPlans.UnmakeVectorOperator`
`static interface` | `PlanProtocol.UnmakeVectorOperatorOrBuilder` |
`static class` | `PlanProtocol.WindowOperator` | Protobuf type `xg.db.sqlPlans.WindowOperator`
`static interface` | `PlanProtocol.WindowOperatorOrBuilder` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()` |
`static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)` |
`static void` | `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()